*--------1---------2---------3---------4---------5---------6---------7--

      subroutine STRDATA

* initialize BCS
*----------------------------------
      include './Include/bcs.inc'

* initialize DST variables
*----------------------------------
      include './Include/dstdata.inc'

* initialize NTUPLE variables
*---------------------------------- 
      include './Include/ntdata.inc'

* initialize BST STRIP variables
*----------------------------------
      include './Include/strdata.inc'

* initialize user variables
*----------------------------------
      integer NBJKT, NBJKV
      integer NCOLT, NCOLV, CIND
      integer VTYP

* event processing
*----------------------------------
      NTRK = 0

      do I = 1, NTMAX
        NTRHIT(I) = 0

        INRAD(I) = 0.
        PHBST(I) = 0.
        THBST(I) = 0.
        XVBST(I) = 0.
        YVBST(I) = 0.
        ZVBST(I) = 0.

        dIR(I) = 0.
        dPH(I) = 0.
        dTH(I) = 0.
        dXV(I) = 0.
        dYV(I) = 0.
        dZV(I) = 0.
      end do

      STRFOUND = .FALSE.

      if ((STRFIL.eq.0).or.NONSENSE) return

* BJKT & BJKV bank access
*----------------------------------
      NBJKT = IW(NAMIND('BJKT'))
      NBJKV = IW(NAMIND('BJKV'))

      if ((NBJKT.gt.0).and.(NBJKV.gt.0)) then

        NCOLT = IW(NBJKT + 1)
        NCOLV = IW(NBJKV + 1)

        NTRK = IW(NBJKT + 2)

        if (NTRK.le.NTCUT) then

          if (NTRK.gt.NTMAX) NTRK = NTMAX

          do I = 1, NTRK

            CIND = NCOLT * (I-1) + NBJKT + 2

            INRAD(I) = RW(CIND + 1)
            PHBST(I) = RW(CIND + 2)
            THBST(I) = RW(CIND + 3)

            dIR(I) = RW(CIND + 5)
	    dPH(I) = RW(CIND + 6)
	    dTH(I) = RW(CIND + 7)

            NTRHIT(I) = IW(CIND + 9)
	    if (NTRHIT(I).le.0) NTRHIT(I) = 0

            CIND = NCOLV*(IW(CIND+12)-1) + NBJKV + 2

            XVBST(I) = RW(CIND + 1)
	    YVBST(I) = RW(CIND + 2)
	    ZVBST(I) = RW(CIND + 3)

            dXV(I) = RW(CIND + 4)
	    dYV(I) = RW(CIND + 5)
	    dZV(I) = RW(CIND + 6)

            VTYP = IW(CIND + 9)

            if (VTYP.eq.1) STRFOUND = .TRUE.

          end do
        end if
      end if

* flag for further calculations
*----------------------------------
      if ((STRFIL.eq.1).and.(.not.STRFOUND)) NONSENSE = .TRUE.

      return
      end


